Groovy 1.7.10

## org.codehaus.groovy.runtime
[Java] Class Reflector

    java.lang.Object
      org.codehaus.groovy.runtime.Reflector

    public class Reflector
    extends Object

Provides as alternative to reflection using bytecode generation.

Authors:
  James Strachan

Version:
  \$Revision: 4247 \$

Method Summary
`Object` | `invoke(CachedMethod method, Object object, Object[] arguments)`
`protected Object` | `noSuchMethod(CachedMethod method, Object object, Object[] arguments)`

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Method Detail

### invoke

    public Object invoke(CachedMethod method, Object object, Object[] arguments)

### noSuchMethod

    protected Object noSuchMethod(CachedMethod method, Object object, Object[] arguments)

Copyright © 2003-2010 The Codehaus. All rights reserved.